apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    ingress.portainer.io/ingress-type: traefik
    cert-manager.io/cluster-issuer: https-prod
    traefik.ingress.kubernetes.io/router.middlewares: default-redirect-https@kubernetescrd
  name: kubesphere
  namespace: kubesphere-system
spec:
  ingressClassName: traefik
  rules:
  - host: k3s.dev.showye.tech
    http:
      paths:
      - backend:
          service:
            name: ks-console
            port:
              number: 80
        path: /
        pathType: ImplementationSpecific
  tls:
    - secretName: kubesphere-https
      hosts:
        - k3s.dev.showye.tech
